return {
  {
    "gnikdroy/projections.nvim",
    dependencies = {
      "nvim-telescope/telescope.nvim",
    },
    config = function()
      require("projections").setup({
        workspaces = {
          "~/projects",
          "~/obsidian",
          "~/.config",
        },
        patterns = { ".git", "package.json", "Cargo.toml", "go.mod" },
      })

      require("telescope").load_extension("projections")

      -- Auto-store session on VimExit
      local Session = require("projections.session")
      vim.api.nvim_create_autocmd({ "VimLeavePre" }, {
        callback = function() Session.store(vim.loop.cwd()) end,
      })

      -- Auto-restore session
      vim.api.nvim_create_autocmd({ "VimEnter" }, {
        callback = function()
          if vim.fn.argc() == 0 then
            Session.restore(vim.loop.cwd())
          end
        end,
      })
    end,
    keys = {
      { "<leader>fp", "<cmd>Telescope projections<cr>", desc = "Find Projects" },
    },
  },
}
